# Zoomcharts

The world's most interactive data visualization software

- Official website: [zoomcharts.com](https://zoomcharts.com/en/)
- Download page: [zoomcharts.com/en/javascript-charts-library/pricing/](https://zoomcharts.com/en/javascript-charts-library/pricing/)
- Licensing: [zoomcharts.com/en/legal/](https://zoomcharts.com/en/legal/)
- Support: [forum.zoomcharts.com](https://forum.zoomcharts.com/)

## Download and install Zoomcharts

Please note that there are several ways to use zoomcharts. For general installation instructions, see the [docs](https://zoomcharts.com/developers/en/introduction.html).

```
<script src="https://cdn.zoomcharts-cloud.com/1/stable/zoomcharts.js"></script>
```

### Use our CDN

Instead of downloading, you can use our CDN to access files directly. See [zoomcharts.com/developers/en/overview/installation.html](https://zoomcharts.com/developers/en/overview/installation.html) for details.

### Install from npm

See [npm documentation](https://docs.npmjs.com/) on how to get started with npm.

```
npm install --save @dvsl/zoomcharts
```

## Load zoomchart as an ES6 module

Zoomcharts can be loaded as an ES6 module with the use of transpilers - Babel and TypeScript.

### Babel
```javascript
import zc from "zoomcharts" 

let TimeChart = zc.TimeChart;

//Generate the chart
var t = new TimeChart({
    //options
})
```
### TypeScript
```javascript
import * as zc from "zoomcharts"

let TimeChart = zc.TimeChart;

//Generate the chart
var t = new TimeChart({
    //options
})
```